#!/usr/bin/perl

# re-adds default aliases to virtusertable

use strict;
use Cobalt::Product;
use Cobalt::Email;
use Cobalt::Vsite;

my @vhosts = Cobalt::Vsite::vsite_list();
my $vhost;

foreach $vhost (@vhosts) {
   
        my @site = @$vhost; # (ip, hostname, group, webmaster email)
        Cobalt::Email::mail_virtuser_dfl_aliases($site[1], 0);
        Cobalt::Email::mail_virtuser_dfl_aliases($site[1], 1);
	

	if (-e "$Fpx_cnfdir/$site[1]:80.cnf") {
	   open(NUCNF, ">> $Fpx_cnfdir/$site[1]:80.cnf") or die;
	   print NUCNF "MailSender:nobody\@$site[1]\n";
	   close(NUCNF);
	}
}

