#!/usr/bin/perl

# chowns services.cnf files to nobody

use strict;
use Cobalt::Product;
use Cobalt::Vsite;

my @vhosts = Cobalt::Vsite::vsite_list();
my $vhost;

my $nobody_uid = (getpwnam('nobody'))[2];

foreach $vhost (@vhosts) {
    my @site = @$vhost; # (ip, hostname, group, webmaster email)
    print "chowning $Userdir/$site[2]/$Webdir/_vti_pvt/services.cnf to nobody\n";
    chown($nobody_uid, -1, "$Userdir/$site[2]/$Webdir/_vti_pvt/services.cnf");
}
